<%@ Page Language="VB" AutoEventWireup="false" ContentType="text/html" ResponseEncoding="gb2312" Inherits="b2bNet.user_checkusername" %>
<html xmlns="http://www.w3.org/1999/xhtml">

<script type="Text/JavaScript" language="JavaScript">
var isUseful = <%=isUseful%>;

	//
	if(document.all){
		/*for ie*/
		if (isUseful == 1) {
	        parent.loginid_info.className = "notetrue";
	        if(parent.loginid_info_check.innerHTML.toLowerCase().indexOf("img") < 0){
	            parent.loginid_info_check.innerHTML = "&nbsp;<img src=\"../images/true1.gif\" width=\"19\" height=\"16\" align=\"absmiddle\"> " + parent.loginid_info_check.innerHTML;
	        }
	        parent.loginid_info.innerHTML = "该会员名可以注册。";
	        parent.loginid_info.className = "note";       
		} else if (isUseful == 2) {
			parent.loginid_info.innerHTML = "请输入要检验的会员名";
	        parent.loginid_info.className = "noteawoke";
		} else if (isUseful == 3) {
			parent.loginid_info.innerHTML = "<h1>该会员名不能使用，请重新输入<\/h1>";
	        parent.loginid_info.className = "noteawoke";  
	        if(parent.loginid_info_check.innerHTML.toLowerCase().indexOf("img") > 0 ){
	            var start =  parent.loginid_info_check.innerHTML.indexOf('>');
	            var end = parent.loginid_info_check.innerHTML.length;
	            parent.loginid_info_check.innerHTML = parent.loginid_info_check.innerHTML.substring(start +1,end);
	        }
		} else if (isUseful == 4) {
            var htmlStr = "<h1>该会员名已经存在，请重新输入<\/h1>";
            parent.loginid_info.innerHTML = htmlStr;
            parent.loginid_info.className = "noteawoke";
	        if(parent.loginid_info_check.innerHTML.toLowerCase().indexOf("img") > 0 ){
	            var start =  parent.loginid_info_check.innerHTML.indexOf('>');
	            var end = parent.loginid_info_check.innerHTML.length;
	            parent.loginid_info_check.innerHTML = parent.loginid_info_check.innerHTML.substring(start +1,end);
	        }
        }
	}else{
		/*for ff & opera*/
		var xxx=parent.document;
		if (isUseful == 1) {
			xxx.getElementById("loginid_info").innerHTML = "该会员名可以使用";
	        xxx.getElementById("loginid_info").className = "notetrue";
	        xxx.getElementById("username_info").innerHTML = "填写正确。";
	        xxx.getElementById("username_info").className = "HintMsg";
		} else if (isUseful == 2) {
			xxx.getElementById("loginid_info").innerHTML = "请输入要检验的会员名";
	        xxx.getElementById("loginid_info").className = "noteawoke";
		} else if (isUseful == 3 ) {
			xxx.getElementById("loginid_info").innerHTML = "该会员名不能使用，请重新输入";
	        xxx.getElementById("loginid_info").className = "noteawoke";
		} else if (isUseful == 4) {
            var htmlStr = "该会员名已经存在，请重新输入";
            xxx.getElementById("loginid_info").innerHTML = htmlStr;
            xxx.getElementById("loginid_info").className = "noteawoke";
        }
	}
	
</script>
</html>